# gconf-schema

## Name

gconf-schema --

## Synopsis

    struct      GConfSchema;
    GConfSchema* gconf_schema_new               (void);
    void        gconf_schema_free               (GConfSchema *sc);
    GConfSchema* gconf_schema_copy              (const GConfSchema *sc);
    void        gconf_schema_set_type           (GConfSchema *sc,
                                                 GConfValueType type);
    void        gconf_schema_set_locale         (GConfSchema *sc,
                                                 const gchar *locale);
    void        gconf_schema_set_short_desc     (GConfSchema *sc,
                                                 const gchar *desc);
    void        gconf_schema_set_long_desc      (GConfSchema *sc,
                                                 const gchar *desc);
    void        gconf_schema_set_owner          (GConfSchema *sc,
                                                 const gchar *owner);
    void        gconf_schema_set_default_value  (GConfSchema *sc,
                                                 const GConfValue *val);
    void        gconf_schema_set_default_value_nocopy
                                                (GConfSchema *sc,
                                                 GConfValue *val);
    GConfValueType gconf_schema_get_type        (const GConfSchema *schema);
    const char* gconf_schema_get_locale         (const GConfSchema *schema);
    const char* gconf_schema_get_short_desc     (const GConfSchema *schema);
    const char* gconf_schema_get_long_desc      (const GConfSchema *schema);
    const char* gconf_schema_get_owner          (const GConfSchema *schema);
    GConfValue* gconf_schema_get_default_value  (const GConfSchema *schema);
    GConfValueType gconf_schema_get_car_type    (const GConfSchema *schema);
    GConfValueType gconf_schema_get_cdr_type    (const GConfSchema *schema);
    GConfValueType gconf_schema_get_list_type   (const GConfSchema *schema);
    void        gconf_schema_set_car_type       (GConfSchema *sc,
                                                 GConfValueType type);
    void        gconf_schema_set_cdr_type       (GConfSchema *sc,
                                                 GConfValueType type);
    void        gconf_schema_set_list_type      (GConfSchema *sc,
                                                 GConfValueType type);

## Description

## Details

### struct GConfSchema

    struct GConfSchema;

### gconf_schema_new ()

    GConfSchema* gconf_schema_new               (void);

Returns : |

### gconf_schema_free ()

    void        gconf_schema_free               (GConfSchema *sc);

`sc` : |

### gconf_schema_copy ()

    GConfSchema* gconf_schema_copy              (const GConfSchema *sc);

`sc` : |
Returns : |

### gconf_schema_set_type ()

    void        gconf_schema_set_type           (GConfSchema *sc,
                                                 GConfValueType type);

`sc` : |
`type` : |

### gconf_schema_set_locale ()

    void        gconf_schema_set_locale         (GConfSchema *sc,
                                                 const gchar *locale);

`sc` : |
`locale` : |

### gconf_schema_set_short_desc ()

    void        gconf_schema_set_short_desc     (GConfSchema *sc,
                                                 const gchar *desc);

`sc` : |
`desc` : |

### gconf_schema_set_long_desc ()

    void        gconf_schema_set_long_desc      (GConfSchema *sc,
                                                 const gchar *desc);

`sc` : |
`desc` : |

### gconf_schema_set_owner ()

    void        gconf_schema_set_owner          (GConfSchema *sc,
                                                 const gchar *owner);

`sc` : |
`owner` : |

### gconf_schema_set_default_value ()

    void        gconf_schema_set_default_value  (GConfSchema *sc,
                                                 const GConfValue *val);

`sc` : |
`val` : |

### gconf_schema_set_default_value_nocopy ()

    void        gconf_schema_set_default_value_nocopy
                                                (GConfSchema *sc,
                                                 GConfValue *val);

`sc` : |
`val` : |

### gconf_schema_get_type ()

    GConfValueType gconf_schema_get_type        (const GConfSchema *schema);

`schema` : |
Returns : |

### gconf_schema_get_locale ()

    const char* gconf_schema_get_locale         (const GConfSchema *schema);

`schema` : |
Returns : |

### gconf_schema_get_short_desc ()

    const char* gconf_schema_get_short_desc     (const GConfSchema *schema);

`schema` : |
Returns : |

### gconf_schema_get_long_desc ()

    const char* gconf_schema_get_long_desc      (const GConfSchema *schema);

`schema` : |
Returns : |

### gconf_schema_get_owner ()

    const char* gconf_schema_get_owner          (const GConfSchema *schema);

`schema` : |
Returns : |

### gconf_schema_get_default_value ()

    GConfValue* gconf_schema_get_default_value  (const GConfSchema *schema);

`schema` : |
Returns : |

### gconf_schema_get_car_type ()

    GConfValueType gconf_schema_get_car_type    (const GConfSchema *schema);

`schema` : |
Returns : |

### gconf_schema_get_cdr_type ()

    GConfValueType gconf_schema_get_cdr_type    (const GConfSchema *schema);

`schema` : |
Returns : |

### gconf_schema_get_list_type ()

    GConfValueType gconf_schema_get_list_type   (const GConfSchema *schema);

`schema` : |
Returns : |

### gconf_schema_set_car_type ()

    void        gconf_schema_set_car_type       (GConfSchema *sc,
                                                 GConfValueType type);

`sc` : |
`type` : |

### gconf_schema_set_cdr_type ()

    void        gconf_schema_set_cdr_type       (GConfSchema *sc,
                                                 GConfValueType type);

`sc` : |
`type` : |

### gconf_schema_set_list_type ()

    void        gconf_schema_set_list_type      (GConfSchema *sc,
                                                 GConfValueType type);

`sc` : |
`type` : |